Tenant role permissions
The tenant role permissions resource represents a relationship between a tenant role and it's permissions.
Tenant role permission object
{
"id": "01988bb8-1ec5-7123-9fcd-cc517401f045",
"role": "01988bb8-1ebb-7b70-a378-03ce6e9c0faa",
"tenant_permission": "01988bb8-1e13-72cc-9813-832338501jdn",
"created_at": "2025-08-08 22:05:56",
"updated_at": null
}
Fields
- idrequired readonly stringUnique ID of the record.
- rolerequired stringUnique ID of the tenant role.
- tenant_permissionrequired stringUnique ID of the tenant permission.
- created_atrequired readonly stringUTC timestamp of when the record was created.
- updated_atnullable readonly stringUTC timestamp of when the record was last updated.
Add permission to role
POST /tenants/{tenantId}/roles/{id}/permissions
The request body must include a tenant role permission object.
Required permissions
tenant_roles:update tenant_permissions:read
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 201 | Created | Successfully created | Tenant role permission object |
| 400 | Bad Request | Invalid or missing field(s) | Error object |
| 404 | Not Found | Tenant or role not found | Error object |
List role's permissions
GET /tenants/{tenantId}/roles/{id}/permissions
Required permissions
tenant_roles:read tenant_permissions:read
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 200 | OK | An associative array of tenant role permission objects | |
| 400 | Bad Request | Invalid parameters in the request query | Error object |
| 404 | Not Found | Tenant or role not found | Error object |
Read a role permission
GET /tenants/{tenantId}/roles/{roleId}/permissions/{id}
Required permissions
tenant_roles:read tenant_permissions:read
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 200 | OK | Tenant role permisssion object | |
| 400 | Bad Request | Invalid parameters in the request query | Error object |
| 404 | Not Found | Tenant, role or permission ID not found | Error object |
Remove permission from role
DELETE /tenants/{tenantId}/roles/{roleId}/permissions/{id}
Required permissions
tenant_roles:update
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 204 | No content | Successfully removed | |
| 404 | Not Found | Tenant ID not found | Error object |
Was this page helpful?